package com.memorynotfound.hibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class App {

    private static Logger LOG = LoggerFactory.getLogger(App.class);

    public static void main (String...args){

        Session session = HibernateUtil.getSession();
        Transaction tx = session.beginTransaction();

        LOG.debug("creating new book");
        Book book = new Book();
        book.setAuthor("Camelcode.org");
        book.setTitle("Hibernate Configuration with spring + Annotations");
        book.setIsbn("9232537892");
        book.setPrice(24.95);
        book.setYear(2012);

        LOG.debug("saving new book");
        session.save(book);

        LOG.debug("committing transaction");
        tx.commit();

        LOG.debug("closing session");
        session.close();

        LOG.debug("shutting down");
        HibernateUtil.shutdown();
    }
}
